"""List Table testdata"""

import sys
import pgdb
import MySQLdb

DBNAME = "testdb"
DBUSER = "testuser"
DBPASSWD = "testpwd"

def getPgConnection () :
  return (pgdb.connect (database = DBNAME, user = DBUSER, password = DBPASSWD))

def getMyConnection () :
  return (MySQLdb.connect (db = DBNAME, user = DBUSER, passwd = DBPASSWD))

ST = "SELECT i, c FROM testdata WHERE i >= %(min)s AND i <= %(max)s ORDER BY i"

def listTable (conn, minv, maxv) :
  data = { "min" : str (minv), "max" : str (maxv) }
  stmt = conn.cursor ()
  stmt.execute (ST, data)
  res = stmt.fetchone ()
  while (res != None) :
    print "%d -> %s" % ( res[0], res[1] )
    res = stmt.fetchone ()
  stmt.close ()

print "PostgreSQL :"
conn = getPgConnection ()
listTable (conn, 0, 9)
conn.close ()

print "MySQL :"
conn = getMyConnection ()
listTable (conn, 0, 9)
conn.close ()
