# -*- coding: utf-8 -*- 
# Klasse

class Vektor:

    def __init__(self, (x, y)):
        self.data = (x,y)

    def get_v(self):
        return self.data

    def __add__(self, V):
        x, y = self.data
        if isinstance(V, Vektor):
          a, b = V.get_v()
          x += a
          y += b
          return Vektor((x,y))
        else:
          return Vektor((0, 0))

    def __mul__(self, V):
        x, y = self.data
        if isinstance(V, Vektor):
          # Skalarprodukt
          a, b = V.get_v()
          return x * a + y * b
        elif isinstance(V, float) or isinstance(V, int):
          x *= V
          y *= V
          return Vektor((x, y))
        else:
          return Vektor((0, 0))
        

X = Vektor((10, 10))
Y = Vektor((5, 4))
print "X = ", X.get_v(), " Y = ", Y.get_v()
X = X + Y
print "X = X + Y = ", X.get_v ()
X = X * 3
print "X = X * 3 = ", X.get_v ()

