#!/usr/bin/env python
from qt import *


class MeinWidget(QWidget):
    def __init__(self, *args):
        apply (QWidget.__init__, (self,) + args)
        self.__HBox = QHBoxLayout(self)
        self.__ListView = QListView(self)
        self.__ListView.setSorting(0, True)
        self.__ListView.addColumn("Nummer")
        self.__ListView.addColumn("Titel")
        self.__HBox.addWidget(self.__ListView)
        self.__TabWidget = QTabWidget(self)
        self.__HBox.addWidget(self.__TabWidget)
        # Hinzufuege-Tab
        self.__AdderTab = QWidget(self.__TabWidget)
        GridLayout1 = QGridLayout(self.__AdderTab, 4, 2)
        l1 = QLabel("Nummer", self.__AdderTab)
        GridLayout1.addWidget(l1, 0, 0)
        self.__e1 = QSpinBox (1, 10000, 1, self.__AdderTab)
        GridLayout1.addWidget(self.__e1, 0, 1)
        l2 = QLabel("Titel", self.__AdderTab)
        GridLayout1.addWidget(l2, 1, 0)
        self.__e2 = QLineEdit (self.__AdderTab)
        GridLayout1.addWidget(self.__e2, 1, 1)
        l3 = QLabel("Handlung", self.__AdderTab)
        GridLayout1.addWidget(l3, 2, 0)
        self.__e3 = QTextEdit (self.__AdderTab)
        GridLayout1.addWidget(self.__e3, 2, 1)
        self.__OK1 = QPushButton("Eintragen", self.__AdderTab)
        self.connect(self.__OK1, SIGNAL("clicked()"), self.__eintragen)
        GridLayout1.addWidget(self.__OK1, 3, 1)
        self.__TabWidget.addTab(self.__AdderTab, "Hinzufuegen")
        # Finden-Tab
        self.__FindTab = QWidget(self.__TabWidget)
        GridLayout2 = QGridLayout(self.__FindTab, 2, 2)
        l4 = QLabel("Suchstring", self.__FindTab)
        GridLayout2.addWidget(l4, 0, 0)
        self.__e4 = QLineEdit (self.__FindTab)
        GridLayout2.addWidget(self.__e4, 0, 1)
        self.__OK2 = QPushButton("Finde...", self.__FindTab)
        GridLayout2.addWidget(self.__OK2, 1, 1)
        self.__TabWidget.addTab(self.__FindTab, "Finden")
        self.show()

    def __eintragen (self):
        # Es wurde OK1 geklickt
        print "(%s) - %s\n%s" % (self.__e1.text(), self.__e2.text(), self.__e3.text())
        l = QListViewItem(self.__ListView, self.__e1.text(), self.__e2.text())

class MeinFenster(QMainWindow):
    def __init__(self, *args):
        apply (QMainWindow.__init__, (self,) +args)
        self.__MyW = MeinWidget(self)
        self.setCentralWidget(self.__MyW)

if __name__ == "__main__":
    import sys
    a = QApplication(sys.argv)
    w = MeinFenster()
    w.setCaption ("Hallo welt")
    a.setMainWidget(w)
    w.show()
    a.exec_loop()
